function chng(x) {
if(x==0) valact()
if(x==2) document.desbaform.elements[3].value=document.desbaform.elements[2].value
if(x==3) document.desbaform.elements[2].value=document.desbaform.elements[3].value
}
function exswap()
{
	return
}
function cons(xx) { botonpres=xx.value }
function closeform()
{
        swapin()
        fld=0
        if(botonpres=="Consultar")
        {
                for(i=0;i<nhd;i++) if( document.desbaform.elements[i].value!="") fld=1
                if(fld==0) document.desbaform.elements[0].value="*"
                return true
        }
	return true
}
function insert(rrow)
{
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.desbaform.elements[row].value)-1
if(document.desbaform.elements[row+1].value !="")
if(document.desbaform.elements[nhd+(nrd-1)*ncd].value=="")
{
	swapin()
	for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
	document.desbaform.elements[nhd+i*ncd+j].value=document.desbaform.elements[nhd+i*ncd+j-ncd].value
	for (j=0;j<ncd;j++) document.desbaform.elements[nhd+i*ncd+j].value=""
	swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
	swapin()
	for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
	document.desbaform.elements[nhd+i*ncd+j].value=document.desbaform.elements[nhd+i*ncd+j+ncd].value
	for (j=0;j<ncd;j++)
	document.desbaform.elements[nhd+i*ncd+j].value=""
	swapout()
}
}
function clearform()
{
lreg=nhd+nrd*ncd+lin*(ncd+1)
for (i=0;i<lreg;i++)
{
	document.desbaform.elements[i].value=""
	if(document.desbaform.elements[i].type=="checkbox")
		document.desbaform.elements[i].checked=false
}
document.desbaform.elements[i++].disabled=false
document.desbaform.elements[i++].disabled=true
document.desbaform.elements[0].readOnly=false
tp=0
for (j=i;j< document.desbaform.elements.length;j++)
if(document.desbaform.elements[j].type=="text") document.desbaform.elements[j].value=""
swapout()
}
